%define		_status		stable
%define		_pearname	XML_Query2XML
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Creates XML data from SQL queries
Summary(pl.UTF-8):	%{_pearname} - Tworzenie danych XML na podstawie zapytań SQL
Name:		php-pear-%{_pearname}
Version:	1.7.2
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c43ec15723a2e927d7fafbc4ac50cd5d
URL:		http://pear.php.net/package/XML_Query2XML/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.593
Requires:	php(core) >= 5.0.0
Requires:	php-pear
Suggests:	php-pear-I18N_UnicodeString
Suggests:	php-pear-MDB2
Suggests:	php-pear-Net_LDAP2
Obsoletes:	php-pear-XML_Query2XML-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(DB.*) pear(MDB2.*) pear(I18N/UnicodeString.*) pear(Net/LDAP2.*)

%description
XML_Query2XML allows you to transform the records retrieved with one
or more SQL SELECT queries into XML data. Very simple to highly
complex transformations are supported. Is was written with performance
in mind and can handle large amounts of data. No XSLT needed!

Major features:
- XML_Query2XML works with the classes provided by PHP5's DOM XML
  extension
- minimum effort necessary to get the simple jobs done
- highly configurable for more complex tasks
- ISO/IEC 9075-14:2005 support: mapping of SQL identifiers to XML
  names
- works with any database that is supported by PEAR DB or PEAR MDB2
- debugging and logging features
- provides profiling features
- in-depth documentation: tutorials and API documentation
- Eight case studies: from very simple to highly complex scenarios
- 168 unit tests for PHPUnit2

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_Query2XML pozwala na przetworzenie rekordów uzyskanych z jednego
lub więcej zapytań SQL SELECT na dane XML. Wspierane są różne rodzaje
transformacji - od prostych do bardzo złożonych. Pakiet został
napisany z myślą o wydajności - może obsłużyć duże ilości danych. XSLT
nie jest potrzebne!

Główne cechy:
- XML_Query2XML współpracuje z klasami dostarczonymi przez
  rozszerzenie DOM XML PHP5,
- do prostych zadań potrzebny jest minimalny nakład sił,
- wysoce konfigurowalny dla złożonych zadań,
- wsparcie dla ISO/IEC 9075-14:2005: mapowanie identyfikatorów SQL do
  nazw XML,
- współpracuje z bazami danych wspieranymi przez PEAR DB lub PEAR
  MDB2,
- możliwość 'odpluskwiania' i logowania,
- dostarcza możliwość profilowania,
- rozbudowana dokumentacja: przewodnik oraz opis API,
- osiem studiów przypadku: od prostych do bardzo złożonych
  scenariuszy,
- 168 testów dla PHPUnit2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/XML_Query2XML/tutorials/XML_Query2XML examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/Query2XML.php
%{php_pear_dir}/XML/Query2XML
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 2156eed
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> fd707c1
- up to 1.7.2

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2334993
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b2f7056
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 2905ca9
- updated deps with pearize.sh
- release 2

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 2c85637
- updated to 1.7.1

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 30da158
- updated to 1.7.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3295dd2
- rel 2

* Wed Sep 05 2007 Adam Gołębiowski <adamg@pld-linux.org> 0dfd14d
- updated to 1.4.0

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> a743e8f
- updated to 1.3.0

* Thu Jul 05 2007 Elan Ruusamäe <glen@pld-linux.org> f2ebee7
- updated to 1.2.1

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> 73760a0
- 1.1.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> db11379
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ab7d459
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 31c712d
- updated to 1.0.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 7db6ef0
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sat Apr 29 2006 Jakub Bogusz <qboosh@pld-linux.org> dc29ef4
- missing dirs, typos, explicit Epoch (used in -tests)

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> e5635ee
- new

